const initialHistory = {
    past: [],
    present: {},
    future: []
};

function history (state = initialHistory, action) {
    switch (action.type) {
        case 'UNDO': {
            const {past, present, future} = state;
            const previous = past[past.length - 2];
            const newPast = past.slice(0, past.length - 1);
            return {
                past: newPast,
                present: previous,
                future: [ present, ...future ]
            };
        }

        default: {
            return state;
        }

    }
}


export default history;
